Subject: Why does "git config" output nothing instead of the default value for unset variables?

From: Sebastian Schuberth <[email-masked]>
Date: Sun, 14 Apr 2013 14:34:12 +0200

Hi,

I'm just wondering why it was decided to work like this. IMHO it's quite 
inconvenient that git config outputs nothing for any unset (but known) 
variable. Usually when I query a variable I'm not so much interested in 
whether it is at all (explicitly) set to some value or not, but what 
value is currently in use. With that in mind, it would make much more 
sense for git config to print the implicit default value instead of 
nothing if a known variable is unset. For unknown / custom variables it 
still could display nothing, which also gives a nice way to check 
whether a given variable name is known to Git or not.

-- 
Sebastian Schuberth